language: c

dist: xenial

addons:
  apt:
    sources:
    - sourceline: 'ppa:xapian-backports/ppa'
    packages:
    - dtach
    - libxapian-dev
    - libgmime-3.0-dev
    - libtalloc-dev
    - python3-sphinx
    - gpgsm

script:
  - ./configure
  - make download-test-databases
  - make test

notifications:
  irc:
    channels:
      - "chat.freenode.net#notmuch"
    on_success: change
